| Home | Libraries | People | FAQ | More

## Struct template treap_setopt

boost::intrusive::treap_setopt — @

## Synopsis

    // In header: <boost/intrusive/treap.hpp>

    template<typename ValueTraits, typename Compare, typename PrioCompare,
             typename SizeType, bool ConstantTimeSize>
    struct treap_setopt {
      // types
      typedef ValueTraits value_traits;
      typedef Compare     compare;
      typedef PrioCompare priority_compare;
      typedef SizeType    size_type;
      static const bool constant_time_size;
    };